KPat
6
2010-11-09
kdegames
Manual do Utilizador KDE

# &kappname;

Um jogo de cartas viciante do &kde;.

    kpat opção do Qt opção do KDE --solvegame  ficheiro --solve  número --start  número --end  número --gametype jogo

## DESCRIÇÃO

O &kpatience; é um conjunto de vários jogos conhecidos de paciência de cartas, desde os conhecidos Klondike e Freecell até outros como o Relógio do Avô e o Mod3. Ao todo estão disponíveis 12 variantes para gastar o seu tempo.

## OPÇÕES

Este programa segue a sintaxe GNU para linhas de comandos, com as opções longas a começarem com dois traços (`--'). Uma lista da opções suportados pelo `kpat` está incluída abaixo.

### Opções genéricas

`--author`

  Mostra informações sobre o autor.

`--help`

  Mostra a ajuda acerca das opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra opções específicas do &kde;.

`--help-all`

  Mostrar todas as opções

`--license`

  Mostra informações sobre a licença

`-v`, `--version`

  Mostrar a versão e sair.

### Opções do Qt

`--display displayname`

  Utilizar o ecrã do servidor de X displayname.

`--session sessionId`

  Restaurar a aplicação com o 'sessionId' dado.

`--cmap`

  Faz com que a aplicação instale um mapa de cores privado num ecrã de 8 bits.

`--ncols count`

  Limitar o número de cores alocadas num ecrã de 8 bits, se a aplicação estiver a utilizar a especificação de cores `QApplication::ManyColor`.

`--nograb`

  Obriga o Qt a nunca agarrar o rato ou o teclado.

`--dograb`

  Correr sob um depurador pode causar um `-nograb` implícito, utilize `-dograb` para o cancelar.

`--sync`

  Mudar para o modo síncrono na depuração.

`--fn`, `--font fontname`

  Escolhe o tipo de letra da aplicação.

`--bg`, `--background color`

  Muda a cor de fundo por omissão e a paleta da aplicação (as sombras escuras e luminosas são calculadas).

`--fg`,`--foreground color`

  Escolhe a cor de primeiro plano por omissão.

`--btn`, `--button color`

  Escolhe a cor dos botões por omissão.

`--name name`

  Escolhe o nome da aplicação.

`--title title`

  Escolhe o título da aplicação.

`--visual TrueColor`

  Força a utilizar um visual para muitas cores num ecrã de 256 cores.

`--inputstyle`

  Escolhe o tipo de entrada XIM (X Input Method). Os valores possíveis são: onthespot, overthespot, offthespot e root.

`--im XIM server`

  Escolhe o servidor XIM.

`--noxim`

  Desactivar o XIM.

`--reverse`

  replica em espelho a disposição de todos os itens.

`--stylesheet ficheiro.qss`

  aplica a folha de estilo do Qt aos itens da aplicação.

`--graphicssystem sistema`

  usar um sistema gráfico diferente em vez do predefinido; as opções são raster e opengl (experimental).

### Opções do KDE

`--caption caption`

  Utiliza caption como o título da aplicação.

`--icon icon`

  Utiliza icon como o ícone da aplicação.

`--config ficheiro`

  Usar um ficheiro de configuração alternativo.

`--nocrashhandler`

  Desactiva o tratamento de erros, para obter 'core dumps'.

`--waitforwm`

  Espera um gestor de janelas compatível com WM_NET.

`--style style`

  Escolhe o estilo gráfico da aplicação.

`--geometry geometry`

  define a geometria no cliente da janela principal- veja a página de manual man:/X para saber o formato dos argumentos (normalmente é LarguraxAltura+PosX+PosY).

### Opções

`--solvegame` ficheiro

  Tentar encontrar uma solução para o jogo gravado indicado

`--solve` número

  Lançamento para resolver (depuração)

`--start` número

  Início do intervalo de jogos (por omissão 0:INT_MAX)

`--end` número

  Fim do intervalo de jogos (por omissão 0:INT_MAX)

`--gametype` jogo

  Ignora o ecrã de selecção e carrega um dado tipo de jogo em particular. Os valores válidos são: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon

### Argumentos

ficheiro

  Ficheiro a abrir

## VEJA TAMBÉM

O &kpatience; está documentado em detalhe no Manual do &kpatience; (`$`KDEDIR`share/doc/HTML/en/kpat/index.html` ou escreva `help:/kpat/index.html` no &konqueror;).

## AUTOR

&kpatience; concebido por:

- Paul Olav Tvete
- Mario Weilguni mweilguni@kde.org
- Matthias Ettrich ettrich@kde.org
- Rodolfo Borges barrett@labma.ufrj.br
- Peter H. Ruegg kpat@incense.org
- Michael Koch koch@kde.org
- Marcus Meissner mm@caldera.de
- Shlomi Fish shlomif@vipe.technion.ac.il
- Stephan Kulow coolo@kde.org